﻿#version 330 core

// Input data of model vertices
layout(location = 0) in vec3 vertexPosition_modelspace;

//uniforms 
uniform mat4 M;
uniform mat4 lightSpaceMatrix;

void main()
{
	gl_Position = lightSpaceMatrix * M * vec4(vertexPosition_modelspace, 1);
}